%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor9_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 9.2 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor10_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 10.0 ]; then echo 1; else echo 0; fi)}

%define lib_name_orig %mklibname quanta
%define lib_major 0
%define lib_name %lib_name_orig%lib_major

%if %buildfor9_2 || %buildfor10_0
%define unstable 0
%else
%define unstable 0
%endif

%define use_enable_final 1

Summary:	A web editor for the KDE Desktop Environment
Name:		quanta
Version:    3.2
Release:    9mdk
License:	GPL
Epoch:		1

Source:     %name-%version.tar.bz2

Patch1:		quanta-3.2-fix-treeview-crash.patch.bz2

Patch2:		quanta-3.2-fix-folder-non-local-directory.patch.bz2

Patch3:		quanta-3.2-fix-open-document-with-ref.patch.bz2

Patch4:		quanta-3.2-fix-bookmark-crash.patch.bz2

Group:		Graphical desktop/KDE
URL:		http://quanta.sourceforge.net/
BuildRoot:	%_tmppath/%name-%version-%release-root
BuildRequires:  pam
BuildRequires:  diffutils
BuildRequires:	texinfo gettext 

%if %buildfor9_2 || %buildfor10_0
BuildRequires:  jpeg-devel
BuildRequires:	png-devel
BuildRequires:  arts-devel
%else
BuildRequires:  libjpeg62-devel
BuildRequires:	libarts-devel
BuildRequires:	libpng3-devel
%endif


BuildRequires:  kdelibs-devel >= 3.2-13mdk gcc-c++ 
BuildRequires:	freetype2 

Requires:		kdelibs >= 30000000:3.1.2

%if %buildfor9_1
BuildRequires: automake1.6
%endif

%if %buildfor9_2 || %buildfor10_0
BuildRequires: automake1.7
%endif

Conflicts:	quanta <= 3.1.94-7mdk


%description
A html editor for the K Desktop Environment.



%package kfilereplace
Summary:	Kfilereplace
Group:		Graphical desktop/KDE
Obsoletes:	kfilereplace <= 0.7.0-6mdk
Provides:	kfilereplace
Requires:	%lib_name-kfilereplace = %epoch:%version-%release
Conflicts:	quanta <= 3.1.94-7mdk

%description kfilereplace
Kfilereplace program

%package -n %lib_name-kfilereplace
Summary:	Librairie for Kfilereplace
Group:		Graphical desktop/KDE

%description -n %lib_name-kfilereplace
Librairie for Kfilereplace


%package -n %lib_name-kfilereplace-devel
Summary:	Librairie for Kfilereplace
Group:		Development/KDE and Qt
Requires:	%lib_name-kfilereplace = %epoch:%version-%release

%description -n %lib_name-kfilereplace-devel
Kfilereplace program


%package kommander
Summary:	Kommander
Group:		Graphical desktop/KDE
Provides:	kommander
Requires:	quanta = %epoch:%version-%release
Requires:	%lib_name-kommander = %epoch:%version-%release
Conflicts:	quanta <= 3.1.94-7mdk

%description kommander
Kommander program

%package -n %lib_name-kommander
Summary:	Librairie for Kommander
Group:		Graphical desktop/KDE
Conflicts:	quanta <= 3.1.94-7mdk

%description -n %lib_name-kommander
Kommander program

%package -n %lib_name-kommander-devel
Summary:	Header for kommander
Group:		Development/KDE and Qt
Requires:	%lib_name-kommander = %epoch:%version-%release

%description -n %lib_name-kommander-devel
Header for Kommander


%package -n %lib_name
Summary:    Library for quanta
Group:      Graphical desktop/KDE
Provides:	%lib_name_orig = %epoch:%version-%release
Provides:	quanta-devel = %epoch:%version-%release
Conflicts:	quanta <= 3.1.94-7mdk

%description -n %lib_name
Library files for quanta.


%package -n %lib_name-devel
Summary:    Development library for quanta
Group:      Development/KDE and Qt

Obsoletes:	quanta-devel
Provides:	quanta-devel = %epoch:%version-%release
Requires:	%lib_name = %epoch:%version-%release
Provides:	%lib_name_orig = %epoch:%version-%release
Conflicts:	quanta <= 3.1.94-7mdk

%description -n %lib_name-devel
Development library files for quanta.



%prep

%setup -q 
%patch1 -p1 -b .fix_treeview_crash
%patch2 -p1 -b .fix_folder
%patch3 -p1 -b .fix_open_doc
%patch4 -p1 -b .fix_crash_bookmark

%build
%if %buildfor9_2 || %buildfor9_1 || %buildfor10_0
make -f admin/Makefile.common cvs
%endif

%{?__cputoolize: %{__cputoolize} }
CFLAGS="%optflags" CXXFLAGS="%optflags" \
		./configure --prefix=%_prefix \
					--libdir=%_libdir \
                    --build=%_target_platform \
		    		--host=%_target_platform \
%if %unstable                    
					--enable-debug=full \
%else
					--disable-debug \
%endif
                    --enable-shared \
%if %use_enable_final
					--enable-final \
%else
					--disable-final \
%endif					
                    --disable-static \
				    --disable-embedded \
				    --disable-palmtop \
				    --disable-rpath \
				    --with-gnu-ld \
				    --with-pic \
                    --with-xinerama

%make

%install
rm -fr %buildroot

make install DESTDIR=%buildroot

# Create LMDK menu structure
mkdir -p $RPM_BUILD_ROOT/%_menudir/


mkdir -p $RPM_BUILD_ROOT/%_datadir/applnk/Office
install -m 0644 $RPM_BUILD_DIR/%name-%version/quanta/quanta.desktop $RPM_BUILD_ROOT/%_datadir/applnk/Office/quanta.desktop

kdedesktop2mdkmenu.pl quanta "Internet/Web editors" $RPM_BUILD_ROOT/%_datadir/applnk/Office/quanta.desktop $RPM_BUILD_ROOT/%_menudir/quanta

kdedesktop2mdkmenu.pl quanta-kommander "More applications/Development/Development environments" $RPM_BUILD_ROOT/%_datadir/applnk/Development/kmdr-editor.desktop $RPM_BUILD_ROOT/%_menudir/quanta-kmdr-editor
perl -pi -e "s|kmdr-editor.png|development_environment_section.png|" $RPM_BUILD_ROOT/%_menudir/quanta-kmdr-editor

kdedesktop2mdkmenu.pl quanta-kommander "More applications/Development/Development environments" $RPM_BUILD_ROOT/%_datadir/applnk/Applications/kmdr-executor.desktop $RPM_BUILD_ROOT/%_menudir/quanta-kmdr-executor
perl -pi -e "s|kmdr-executor.png|development_environment_section.png|" $RPM_BUILD_ROOT/%_menudir/quanta-kmdr-executor


kdedesktop2mdkmenu.pl quanta "More applications/Development/Development environments" $RPM_BUILD_ROOT/%_datadir/applnk/Development/kxsldbg.desktop $RPM_BUILD_ROOT/%_menudir/quanta-kxsldbg
perl -pi -e "s|kxsldbg.png|development_environment_section.png|" $RPM_BUILD_ROOT/%_menudir/quanta-kxsldbg

################FIXME
###kdedesktop2mdkmenu.pl quanta-kfilereplace Applications/Editors $RPM_BUILD_ROOT/%_datadir/applnk/Utilities/kfilereplacepart.desktop $RPM_BUILD_ROOT/%_menudir/quanta-kfilereplacepart

createmdkmenu.sh %buildroot/%_datadir/applications/kde/quanta.desktop  WWW-mdk
createmdkmenu.sh %buildroot/%_datadir/applications/kde/kmdr-editor.desktop  Editors-mdk 

#laurent Sat 16 2001 remove fr local (exists in kde-i18n)
rm -rf $RPM_BUILD_ROOT/%_datadir/locale/fr

%find_lang %name



%clean
rm -rf $RPM_BUILD_ROOT

%files kommander
%defattr(-,root,root)
%_bindir/kmdr-editor
%_bindir/kmdr-executor
###########################"FIXME desktop file
#%_datadir/applications/mdk/kmdr-editor.desktop

%_menudir/quanta-kmdr-executor
%_menudir/quanta-kmdr-editor

%dir %_iconsdir/locolor/16x16/apps/kmdr/
%_iconsdir/locolor/16x16/apps/kmdr/*.png
%dir %_iconsdir/locolor/32x32/apps/kmdr/
%_iconsdir/locolor/32x32/apps/kmdr/*.png

%_datadir/mimelnk/application/x-kommander.desktop

%files -n %lib_name-kommander-devel
%defattr(-,root,root)
%_libdir/libkommanderwidgets.so


%files -n %lib_name-kommander
%defattr(-,root,root)
%_libdir/libkommanderwidgets.la
%_libdir/libkommanderwidgets.so.*



%files kfilereplace
%defattr(-,root,root)
%dir %_datadir/apps/kfilereplacepart
%_datadir/apps/kfilereplacepart/*.rc
%dir %_datadir/apps/kfilereplacepart/pics/
%_datadir/apps/kfilereplacepart/pics/*.png
%dir %_datadir/apps/kfilereplacepart/toolbar/
%_datadir/apps/kfilereplacepart/toolbar/*.png

#
%files -n %lib_name-kfilereplace
%defattr(-,root,root)
%dir %_libdir/kde3/
%_libdir/kde3/libkfilereplacepart.la
%_libdir/kde3/libkfilereplacepart.so.*

%files -n %lib_name-kfilereplace-devel
%defattr(-,root,root)
%dir %_libdir/kde3/
%_libdir/kde3/libkfilereplacepart.so



%files -f %name.lang
%defattr(-,root,root)

%_bindir/quanta
%_bindir/kxsldbg
%_menudir/quanta
%_menudir/quanta-kxsldbg

################## FIXME menu
%_datadir/applnk/Office/quanta.desktop
%_datadir/applnk/Development/quanta.desktop 
%_datadir/applnk/Applications/*.desktop
#%_datadir/applnk/Editors/*.desktop
%_datadir/applnk/Utilities/*.desktop
%_datadir/applnk/Development/kxsldbg.desktop
%_datadir/applnk/Development/kmdr-editor.desktop
#%_docdir/HTML/en/quanta/quantadocumentation.webprj

#
%dir %_datadir/apps/quanta/
%_datadir/apps/quanta/*.rc
%_datadir/apps/quanta/chars
%_datadir/apps/quanta/tips

%dir %_datadir/apps/kxsldbg/
%_datadir/apps/kxsldbg/*.rc

%dir %_datadir/apps/kxsldbgpart/
%_datadir/apps/kxsldbgpart/*.rc


%dir %_datadir/apps/quanta/dtep/
%dir %_datadir/apps/quanta/dtep/relaxng/
%_datadir/apps/quanta/dtep/relaxng/*.rc
%_datadir/apps/quanta/dtep/relaxng/*.tag

%dir %_datadir/apps/quanta/scripts/
%_datadir/apps/quanta/scripts/*


%dir %_datadir/apps/quanta/dtep/xhtml-basic/
%_datadir/apps/quanta/dtep/xhtml-basic/*.tag
%_datadir/apps/quanta/dtep/xhtml-basic/*.rc

%dir %_datadir/apps/quanta/dtep/xml-schema/
%_datadir/apps/quanta/dtep/xml-schema/*.tag
%_datadir/apps/quanta/dtep/xml-schema/*.rc

%dir %_datadir/apps/quanta/dtep/wml-1-2/
%_datadir/apps/quanta/dtep/wml-1-2/*.tag
%_datadir/apps/quanta/dtep/wml-1-2/*.rc

%dir %_datadir/apps/quanta/dtep/xhtml-frameset/
%_datadir/apps/quanta/dtep/xhtml-frameset/*.tag
%_datadir/apps/quanta/dtep/xhtml-frameset/*.rc

%dir %_datadir/apps/quanta/dtep/html-frameset/
%_datadir/apps/quanta/dtep/html-frameset/*.tag
%_datadir/apps/quanta/dtep/html-frameset/*.rc

%dir %_datadir/apps/quanta/dtep/html-transitional/
%_datadir/apps/quanta/dtep/html-transitional/*.tag
%_datadir/apps/quanta/dtep/html-transitional/*.rc


%dir %_datadir/apps/quanta/dtep/kde-docbook-4.1.2/
%_datadir/apps/quanta/dtep/kde-docbook-4.1.2/*.tag
%_datadir/apps/quanta/dtep/kde-docbook-4.1.2/*.rc

%dir %_datadir/apps/quanta/dtep/kde-docbook-4.2/
%_datadir/apps/quanta/dtep/kde-docbook-4.2/*.rc


%dir %_datadir/apps/quanta/dtep/docbook-4.2/
%_datadir/apps/quanta/dtep/docbook-4.2/*.tag
%_datadir/apps/quanta/dtep/docbook-4.2/*.rc


%dir %_datadir/apps/quanta/dtep/tagxml/
%_datadir/apps/quanta/dtep/tagxml/*.tag
%_datadir/apps/quanta/dtep/tagxml/*.rc

%dir %_datadir/apps/quanta/dtep/xhtml11/
%_datadir/apps/quanta/dtep/xhtml11/*.tag
%_datadir/apps/quanta/dtep/xhtml11/*.rc


%dir %_datadir/apps/quanta/dtep/xhtml/
%_datadir/apps/quanta/dtep/xhtml/*.tag
%_datadir/apps/quanta/dtep/xhtml/*.rc


%dir %_datadir/apps/quanta/dtep/xhtml-strict/
%_datadir/apps/quanta/dtep/xhtml-strict/*.tag
%_datadir/apps/quanta/dtep/xhtml-strict/*.rc

%dir %_datadir/apps/quanta/dtep/cffunct/
%_datadir/apps/quanta/dtep/cffunct/*.tag
%_datadir/apps/quanta/dtep/cffunct/*.rc

%dir %_datadir/apps/quanta/dtep/cfml/
%_datadir/apps/quanta/dtep/cfml/*.tag
%_datadir/apps/quanta/dtep/cfml/*.rc
%_datadir/apps/quanta/dtep/cfml/*.cfm


%dir %_datadir/apps/quanta/dtep/css/
%_datadir/apps/quanta/dtep/css/*.tag
%_datadir/apps/quanta/dtep/css/*.rc

%dir %_datadir/apps/quanta/dtep/php/
%_datadir/apps/quanta/dtep/php/*.tag
%_datadir/apps/quanta/dtep/php/*.rc


%dir %_datadir/apps/quanta/dtep/html-strict/
%_datadir/apps/quanta/dtep/html-strict/*.tag
%_datadir/apps/quanta/dtep/html-strict/*.rc

%dir %_datadir/apps/quanta/dtep/xslt/
%_datadir/apps/quanta/dtep/xslt/*.tag
%_datadir/apps/quanta/dtep/xslt/*.rc



%dir %_datadir/apps/quanta/toolbar/  
%_datadir/apps/quanta/toolbar/*.png

%dir %_datadir/apps/quanta/toolbars/wml-1-2/
%_datadir/apps/quanta/toolbars/wml-1-2/*.tgz
%dir %_datadir/apps/quanta/toolbars/tagxml/
%_datadir/apps/quanta/toolbars/tagxml/*.tgz

%dir %_datadir/apps/quanta/toolbars/xml/
%_datadir/apps/quanta/toolbars/xml/*.tgz

%dir %_datadir/apps/quanta/doc/
%doc %_datadir/apps/quanta/doc/*
#
%dir %_datadir/apps/quanta/templates/
%dir %_datadir/apps/quanta/templates/binaries/
%_datadir/apps/quanta/templates/binaries/.dirinfo

%dir %_datadir/apps/quanta/templates/binaries/images/



%dir %_datadir/apps/quanta/templates/binaries/images/jpg/
%_datadir/apps/quanta/templates/binaries/images/jpg/*

%dir %_datadir/apps/quanta/templates/binaries/images/png/
%_datadir/apps/quanta/templates/binaries/images/png/*

%dir %_datadir/apps/quanta/templates/binaries/images/others/
%_datadir/apps/quanta/templates/binaries/images/others/*.tif


%dir %_datadir/apps/quanta/templates/binaries/others/
%_datadir/apps/quanta/templates/binaries/others/*.pdf
#%_datadir/apps/quanta/templates/binaries/others/*.tif

%dir %_datadir/apps/quanta/templates/documents/
%_datadir/apps/quanta/templates/documents/.*

%dir %_datadir/apps/quanta/templates/documents/html/
%_datadir/apps/quanta/templates/documents/html/*

%dir %_datadir/apps/quanta/templates/documents/others/
%_datadir/apps/quanta/templates/documents/others/*

%dir %_datadir/apps/quanta/templates/documents/scripts/
%_datadir/apps/quanta/templates/documents/scripts/*

%dir %_datadir/apps/quanta/templates/images/
%_datadir/apps/quanta/templates/images/.*

%dir %_datadir/apps/quanta/templates/images/jpg/
%_datadir/apps/quanta/templates/images/jpg/*.jpg

%dir %_datadir/apps/quanta/templates/images/others/
%_datadir/apps/quanta/templates/images/others/*

%dir %_datadir/apps/quanta/templates/images/png/
%_datadir/apps/quanta/templates/images/png/*

%dir %_datadir/apps/quanta/templates/text/
%_datadir/apps/quanta/templates/text/.*

%dir %_datadir/apps/quanta/templates/text/html/
%_datadir/apps/quanta/templates/text/html/*

%dir %_datadir/apps/quanta/templates/text/others/
%_datadir/apps/quanta/templates/text/others/*

%dir %_datadir/apps/templates/text/scripts/
%_datadir/apps/templates/text/scripts/*.php

%dir %_datadir/apps/quanta/toolbars/
%_datadir/apps/quanta/toolbars/*.tgz
%dir %_datadir/apps/quanta/toolbars/html/
%_datadir/apps/quanta/toolbars/html/*.tgz
%dir %_datadir/apps/quanta/toolbars/cfml/
%_datadir/apps/quanta/toolbars/cfml/*.tgz
%dir %_datadir/apps/quanta/toolbars/docbook/
%_datadir/apps/quanta/toolbars/docbook/*.tgz
%dir %_datadir/apps/quanta/toolbars/kde-docbook/
%_datadir/apps/quanta/toolbars/kde-docbook/*.tgz
%dir %_datadir/apps/quanta/toolbars/schema/
%_datadir/apps/quanta/toolbars/schema/*.tgz

%dir %_datadir/apps/quanta/csseditor/
%_datadir/apps/quanta/csseditor/*.xml

%dir %_datadir/apps/kafkapart/
%_datadir/apps/kafkapart/entities

%dir %_datadir/apps/kafkapart/pics/
%_datadir/apps/kafkapart/pics/*.png



#

%dir %_libdir/kde3/
%_libdir/kde3/libkxsldbgpart.la
%_libdir/kde3/libkxsldbgpart.so.*




%_datadir/services/*.desktop

%_iconsdir/hicolor/16x16/apps/*.png
%_iconsdir/hicolor/16x16/actions/*.png

%_iconsdir/hicolor/22x22/apps/*.png
%_iconsdir/hicolor/22x22/actions/*.png
%_iconsdir/hicolor/32x32/apps/*.png
%_iconsdir/hicolor/48x48/apps/*.png


%dir %_docdir/HTML/en/quanta/
%doc %_docdir/HTML/en/quanta/common
%doc %_docdir/HTML/en/quanta/*.docbook
%doc %_docdir/HTML/en/quanta/*.bz2
%doc %_docdir/HTML/en/quanta/*.png

%dir %_docdir/HTML/en/kxsldbg/
%doc %_docdir/HTML/en/kxsldbg/common
%doc %_docdir/HTML/en/kxsldbg/*.docbook
%doc %_docdir/HTML/en/kxsldbg/*.bz2
%doc %_docdir/HTML/en/kxsldbg/*.png



%files -n %lib_name-devel
%defattr(-,root,root)
%_libdir/libqtnotfier.so
%_libdir/libxsldbg.so
%_libdir/kde3/libkfilereplacepart.so
%_libdir/kde3/libkxsldbgpart.so

%_includedir/*.h

%files -n %lib_name
%defattr(-,root,root)
%_libdir/libqtnotfier.la
%_libdir/libqtnotfier.so.*
%_libdir/libxsldbg.la
%_libdir/libxsldbg.so.*


%post
/sbin/ldconfig
%update_menus


%postun
/sbin/ldconfig
%clean_menus


%post kommander
%update_menus

%postun kommander
%clean_menus


%post -n %lib_name-devel -p /sbin/ldconfig

%postun -n %lib_name-devel -p /sbin/ldconfig

%post -n %lib_name -p /sbin/ldconfig

%postun -n %lib_name -p /sbin/ldconfig

%post -n %lib_name-kommander -p /sbin/ldconfig

%postun -n %lib_name-kommander -p /sbin/ldconfig



%changelog
* Thu Mar 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-9mdk
- Fix group
- Add patch1: fix treeview crash
- Add patch2: "Make removal of new top folders pointing to the non-local root directory (e.g ftp://someserver/) possible [#76573]."
- Add patch3: "Fix opening of documentation pages with references [#70345]"
- Add patch4: fix quanta crash with bookmark

* Fri Feb 27 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-8mdk
- Sync 

* Thu Feb 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-7mdk
- Fix some bugs into quanta

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-6mdk
- Fix menu entry

* Fri Feb 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-5mdk
- Fix epoch

* Mon Feb 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-4mdk
- Sync with CVS
- Fix distlint
- Fix buildrequires kdelibs >=3.2-13mdk (pb kdedesktop2mdkmenu)

* Thu Feb 12 2004 David Baudens <baudens@mandrakesoft.com> 3.2-3mdk
- Fix menu

* Fri Feb 06 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-2mdk
- Sync with CVS
- Fix menu entry (icons/position)

* Tue Feb 03 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-1mdk
- 3.2

* Mon Feb 02 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.2mdk
- Sync with CVS

* Fri Jan 30 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.2-0.1mdk
- Fix for package freeze

* Thu Jan 29 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-4mdk
- Sync with CVS

* Mon Jan 26 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-3mdk
- Sync with CVS

* Fri Jan 23 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-2mdk
- Sync with CVS

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.95-1mdk
- Sync with CVS

* Thu Jan 15 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-13mdk
- Sync with CVS

* Mon Jan 12 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-12mdk
- Sync with CVS
- Add use_enable_final variable/enable_debug variable
- Reverte VFolder menu type to 'menu' menu type

* Thu Jan 08 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-11mdk
- Sync with CVS

* Mon Jan 05 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-10mdk
- Sync with CVS

* Tue Dec 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-9mdk
- Fix update from MDK9.2

* Mon Dec 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-8mdk
- Sync with CVS

* Mon Dec 22 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-7mdk
- Sync with CVS

* Thu Dec 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-6mdk
- Sync with CVS 

* Mon Dec 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-5mdk
- Fix split


* Thu Dec 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-4mdk
- Sync with CVS

* Tue Dec 09 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-3mdk
- Sync with CVS

* Fri Dec 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-2mdk
- Sync with CVS

* Mon Dec 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.94-1mdk
- beta2 from cvs

* Fri Nov 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-8mdk
- Sync with CVS

* Mon Nov 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-7mdk
- Sync with CVS

* Fri Nov 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-6mdk
- Sync with CVS

* Tue Nov 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-5mdk
- Sync with CVS

* Wed Nov 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-4mdk
- Fix compile

* Thu Nov 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-3mdk
- Fix menu

* Mon Nov 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-2mdk
- Port to Vfolder

* Thu Oct 30 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.93-1mdk
- beta1

* Fri Oct 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.92-1mdk
- Sync with CVS 

* Sun Sep 21 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-2mdk
- Add support for MDK9.3
- Fux spec file

* Thu Sep 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.91-1mdk
- 3.1.91

* Tue Sep 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-4mdk
- Fix spec file

* Thu Jul 31 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-3mdk
- Minor fix

* Tue Jul 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.3-1mdk
- 3.1.3

* Fri Jul 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-6mdk
- Libification

* Tue Jul 15 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-5mdk
- Rebuild

* Thu Jun 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-4mdk
- Update code

* Wed Jun 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-3mdk
- Update code

* Mon May 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.2-1mdk
- 3.1.2

* Mon Apr 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-3mdk
- Fix spec file

* Wed Apr 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-2mdk
- Update code from branch

* Wed Apr 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1.1-1mdk
- 3.1.1

* Wed Mar 12 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-19mdk
- Lot of fix :
"Bring up the "File Changed" dialog only, when the file content has changed. #55678"
Fix bugs #53230.
"Multiuser fix for some systems (backport)."

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-18mdk
- Add patch3 : 'Fix CTRL-H (Context Help) behavior. (backport)'

* Thu Mar 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-17mdk
- Add patch2 : fix from branch"Action dialog fixes;  fix crash when Tag Edit Dialog was requested for an unknown tag action."

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-16mdk
- Update code 

* Sat Mar 01 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-15mdk
- Update code 

* Fri Feb 28 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-14mdk
- Update code 

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-13mdk
- Update code

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-12mdk
- Update

* Wed Feb 26 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-11mdk
- Update code ( fix link )

* Tue Feb 25 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-10mdk
- update code

* Sun Feb 23 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-9mdk
- Update code 

* Mon Feb 17 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-8mdk
- Update code 

* Fri Feb 14 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-7mdk
- Update code 

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-6mdk
- Update code 

* Sat Feb 08 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-5mdk
- Update code from quanta_3_1_branch ( fix refresh tree )

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-4mdk
- Update code from quanta_3_1_branch

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-3mdk
- Update code

* Wed Jan 29 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-2mdk
- Update code

* Wed Dec 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-1mdk
- 3.1

* Wed Nov 13 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.1-0.rc2.1mdk
- 3.1-rc2

* Fri Oct 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-1mdk
- 3.0

* Mon Aug 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.pre1.2mdk
- Rebuild against gcc3.2

* Thu Aug 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0-0.pre1.1mdk
- 3.0 pre1

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-0.20020710.2mdk
- Rebuild against gcc-3.2

* Thu Jul 11 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.2-0.20020710.1mdk
- Update code use source from Marcel Pol <mpol@gmx.net>

* Wed May 29 2002 Marcel Pol <mpol@gmx.net> 2.0.2-0.20020526.1mdk
- Taken from cvs at kde.org
- Changelog says 2.0.2 was released at 20020109,
  but the "About quanta" still gives 2.0.2

* Sat Mar 09 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.0.1-2mdk
- Add patch1 : Fix php syntax patch from Mike Eheler <meheler@canada.com>

* Fri Feb 15 2002 David BAUDENS <baudens@mandrakesoft.com> 2.0.1-1mdk
- 2.0.1

* Sat Oct 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.8mdk
- Rebuild against libpng3

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.7mdk
- Rebuild with new kdelibs

* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.6mdk
- Rebuild with new kdelibs

* Wed Aug 29 2001 Pixel <pixel@mandrakesoft.com> 2.1-0.20010414.5mdk
- makes it own /usr/lib/quanta

* Sat Jul 07 2001 Stefan van der Eijk <stefan@eijk.nu> 2.1-0.20010414.4mdk
- BuildRequires:	fam-devel
- BuildRequires:	libpng-devel
- Removed BuildRequires:	Mesa-common
- Removed BuildRequires:	XFree86-libs
- Removed BuildRequires:	db3
- Removed BuildRequires:	file
- Removed BuildRequires:	gcc-cpp
- Removed BuildRequires:	kdelibs
- Removed BuildRequires:	kdesupport-devel
- Removed BuildRequires:	libbinutils2
- Removed BuildRequires:	libbzip2_1
- Removed BuildRequires:	libjpeg62
- Removed BuildRequires:	libmng1
- Removed BuildRequires:	libpng2
- Removed BuildRequires:	libqt2
- Removed BuildRequires:	libqt2-devel
- Removed BuildRequires:	libtermcap2
- Removed BuildRequires:	m4
- Removed BuildRequires:	openssl
- Removed BuildRequires:	readline
- Removed BuildRequires:	zlib1

* Sat Jun 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.3mdk
- remove french po file (this file is in kde-i18n-fr)

* Wed Apr 25 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.2mdk
- Recompile with kde2.2alpha1

* Sat Apr 14 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010414.1mdk
- Update to quanta pr2

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010329.3mdk
- Move KDE menu entry in %%_datadir/applnk
- Rebuild against latest GCC

* Sat Mar 30 2001 David BAUDENS <baudens@mandrakesoft.com> 2.1-0.20010329.2mdk
- Fix BuildRequires for non %%ix86 architectures

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010329.1mdk
- Update code
- Add build requires

* Tue Mar 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010313.1mdk
- Update code
- Rebuild with qt2.3

* Mon Feb 26 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010226.1mdk
- Update code
- Build with kde2.1

* Tue Feb 13 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010213.1mdk
- Update code
- Build for version > 2.1beta2

* Tue Jan 16 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.1-0.20010116.1mdk
- Updated code

* Mon Jan 01 2001 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20010101.1mdk
- Code update

* Fri Dec 28 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001228.1mdk
- Code update

* Sun Dec 24 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001224.1mdk
- Code update

* Tue Dec 19 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001219.1mdk
- Code update

* Wed Dec 13 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001213.1mdk
- Code update

* Mon Dec 11 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001211.1mdk
- Code update

* Mon Dec 04 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001204.1mdk
- Code update

* Thu Nov 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.1-0.20001123.1mdk
- Code update

* Wed Nov 15 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-6mdk
- Recompile for gcc 2.96

* Tue Nov 14 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-5mdk
- Recompile for 7.2 Update

* Fri Nov 10 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-4mdk
- Recompile for gcc 2.96

* Tue Nov 07 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-2mdk
- Code update to incorporate some rather large improvements from Quanta team

* Tue Oct 17 2000 Christopher Molnar <molnarc@mandrakesoft.com> 2.0-1mdk
- Code update to KDE 2.0 Release 

* Mon Oct 02 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.99-1mdk
- Code update to KDE 2.0 Release Candidate 1

* Sun Oct 01 2000 David BAUDENS <baudens@mandrakesoft.com> 1.94-6mdk
- Fix menu entry
- Use optimizations
- Use macros
- Don't %%update_menus && %%clean_menus in %%postun

* Fri Sep 29 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-5mdk
- Code update

* Wed Sep 27 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-4mdk
- Code update

* Mon Sep 25 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-3mdk
- Code update

* Sat Sep 23 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-2mdk
- Code update

* Fri Sep 22 2000 Christopher Molnar <molnarc@mandrakesoft.com> 1.94-1mdk
- First build for MandrakeSoft
